org.apache.fop.afp.modca

## Class Registry.ObjectType

- java.lang.Object
- - org.apache.fop.afp.modca.Registry.ObjectType

Enclosing class:
  Registry

    public class Registry.ObjectType
    extends Object

Encapsulates a MOD:CA Registry Object Type entry

### Constructor Summary

Constructors
Constructor and Description
`ObjectType(byte componentId, byte[] oid, String name, boolean includable, String mimeType)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`byte` `getComponentId()` Returns the compontentId for this entry
`String` `getMimeType()` Returns the mime type associated with this object type
`String` `getName()` Returns the object type name for the given componentId
`byte[]` `getOID()` Returns a MOD:CA object type OID from a given a componentId
`boolean` `isIncludable()` Returns true if this component can be included with an IOB structured field
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObjectType

    public ObjectType(byte componentId,
                      byte[] oid,
                      String name,
                      boolean includable,
                      String mimeType)

Main constructor

Parameters:
  `componentId` - the component id of this object type
  `oid` - the object id of this object type
  `name` - the object type name
  `includable` - true if this object can be included with an IOB structured field
  `mimeType` - the mime type associated with this object type

### Method Detail

#### getOID

    public byte[] getOID()

Returns a MOD:CA object type OID from a given a componentId

Returns:
  the corresponding object type id for a given component id or null if the component id is unknown and the object type OID was not found.

#### getName

    public String getName()

Returns the object type name for the given componentId

Returns:
  the object type name for the given componentId

#### getComponentId

    public byte getComponentId()

Returns the compontentId for this entry

Returns:
  the compontentId for this entry

#### isIncludable

    public boolean isIncludable()

Returns true if this component can be included with an IOB structured field

Returns:
  true if this component can be included with an IOB structured field

#### getMimeType

    public String getMimeType()

Returns the mime type associated with this object type

Returns:
  the mime type associated with this object type

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`